build:
  stage: build
  image: smokserwis/docker-docs-build
  script:
    - mkdir dist
    - python build.py lab1
    - python build.py lab2
    - python build.py lab3
    - cp resources/lab3_program.txt dist/lab3/program.txt
    - python build.py lab4
    - python build.py lab5
    - python build.py lab6
    - mv -f dist/* .
  artifacts:
     paths:
       - lab1/*.pdf
       - lab2/*.pdf
       - lab3/*.pdf
       - lab3/program.txt
       - lab4/*.pdf
       - lab5/*.pdf
       - lab6/*.pdf
